Package org.eclipse.team.core.subscribers

# Class SubscriberChangeEvent

java.lang.Object
org.eclipse.team.core.subscribers.SubscriberChangeEvent

All Implemented Interfaces:
  `ISubscriberChangeEvent`

public class SubscriberChangeEvent extends Object implements ISubscriberChangeEvent
A concrete implementation of `ISubscriberChangeEvent` that can be used by clients.

Since:
  3.0
See Also:
  - `ISubscriberChangeEvent`
  - `Subscriber`

## Field Summary

### Fields inherited from interface org.eclipse.team.core.subscribers.ISubscriberChangeEvent

`NO_CHANGE, ROOT_ADDED, ROOT_REMOVED, SYNC_CHANGED`

## Constructor Summary

Constructors
Constructor
Description
`SubscriberChangeEvent(Subscriber subscriber, int flags, IResource resource)`
Create a change event with the given flags for the given subscriber and resource.

## Method Summary

Modifier and Type
Method
Description
`static SubscriberChangeEvent[]`
`asSyncChangedDeltas(Subscriber subscriber, IResource[] resources)`
Returns an array of deltas for the resources with `ISubscriberChangeEvent.SYNC_CHANGED` as the flag.
`int`
`getFlags()`
Return the flags that describe the type of change.
`IResource`
`getResource()`
Return the resource whose state with respect to the subscriber has changed.
`Subscriber`
`getSubscriber()`
Return the subscriber to which this change event applies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubscriberChangeEvent

public SubscriberChangeEvent(Subscriber subscriber, int flags, IResource resource)
Create a change event with the given flags for the given subscriber and resource.

Parameters:
  `subscriber` - the subscriber to which the state change applies
  `flags` - the flags that describe the change
  `resource` - the resource whose state has change

## Method Details

### getFlags

public int getFlags()
Description copied from interface: `ISubscriberChangeEvent`
Return the flags that describe the type of change. The returned value should be ANDed with the change type flags to determine whether the change event is of a particular type. For example,

     if (event.getFlags() & ISubscriberChangeEvent.SYNC_CHANGED) {
            // the sync info for the resource has changed
     }

Specified by:
  `getFlags` in interface `ISubscriberChangeEvent`
Returns:
  the flags that describe the type of change

### getResource

public IResource getResource()
Description copied from interface: `ISubscriberChangeEvent`
Return the resource whose state with respect to the subscriber has changed.

Specified by:
  `getResource` in interface `ISubscriberChangeEvent`
Returns:
  the resource whose state with respect to the subscriber has changed

### getSubscriber

public Subscriber getSubscriber()
Description copied from interface: `ISubscriberChangeEvent`
Return the subscriber to which this change event applies.

Specified by:
  `getSubscriber` in interface `ISubscriberChangeEvent`
Returns:
  the subscriber to which this change event applies

### asSyncChangedDeltas

public static SubscriberChangeEvent[] asSyncChangedDeltas(Subscriber subscriber, IResource[] resources)
Returns an array of deltas for the resources with `ISubscriberChangeEvent.SYNC_CHANGED` as the flag.

Parameters:
  `subscriber` - the subscriber
  `resources` - the resources whose sync info has changed
Returns:
  an array of change events